# robustness\_1.RDS

Tests how robust the MLE method for independent variables with differential error is when the model for $X$ is less precise. In the main paper, we include $Z$ on the right-hand-side of the `truth_formula`. 
In this robustness check, the `truth_formula` is an intercept-only model.
The stats are in the list named `robustness_1` in the `.RDS` 
# robustness\_1\_dv.RDS

Like `robustness\_1.RDS` but with a less precise model for $w_pred$.  In the main paper, we included $Z$ in the `proxy_formula`. In this robustness check, we do not.

# robustness_2.RDS

This is just example 1 with varying levels of classifier accuracy indicated by the `prediction_accuracy` variable.. 

# robustness_2_dv.RDS

Example 3 with varying levels of classifier accuracy indicated by the `prediction_accuracy` variable.

# robustness_3.RDS

Example 1 with varying levels of skewness in the classified variable. The variable `Px` is the baserate of $X$ and controls the skewness of $X$.
It probably makes more sense to report the mean of $X$ instead of `Px` in the supplement.

# robustness_3_dv.RDS

Example 3 with varying levels of skewness in the classified variable. The variable `B0` is the intercept of the main model and controls the skewness of $Y$.
It probably makes more sense to report the mean of $Y$ instead of B0 in the supplement. 

# robustness_4.RDS

Example 2 with varying amounts of differential error. The variable `y_bias` controls the amount of differential error.
It probably makes more sense to report the corrleation between $Y$ and $X-~$, or the difference in accuracy from when when $Y=1$ to $Y=0$ in the supplement instead of `y_bias`.

# robustness_4_dv.RDS

Example 4 with varying amounts of bias. The variable `z_bias` controls the amount of differential error.
It probably makes more sense to report the corrleation between $Z$ and $Y-W$, or the difference in accuracy from when when $Z=1$ to $Z=0$ in the supplement instead of `z_bias`.



